image-methods {xps} | R Documentation

## Display an Image

### Description

Creates an image for each sample.

Usage

`image(x, bg = FALSE, transfo = log2, col = gray((0:64)/64), names = "namepart", xlab = "", ylab = "", ...)`

### Arguments

`x` | object of class `DataTreeSet`.
`bg` | logical. If `FALSE`, intensities from slot `data` will be used; if `TRUE`, background intensities from slot `bgrd` will be used.
`transfo` | a valid function to transform the data, usually “log2”, or “0”.
`col` | color range for intensities.
`names` | optional vector of sample names.
`...` | optional arguments to be passed to `image`.

### Details

Creates an image for each array. For `bgrd=TRUE` the distribution of the computed background intensities will be shown; this can be useful to see potential density gradients caused by hybridization conditions. For the computation of background intensities see function `bgcorrect`; it is suggested to use `bgcorrect.mas4` to identify density gradients.

For `names=NULL` full column names of slot `data` will be displayed while for `names="namepart"` column names will be displayed without name extension. If `names` is a vector of column names, only these columns will displayed as image.

### Note

Data must first be attached to class `DataTreeSet` using method `attachInten`.

### Author(s)

Christian Stratowa

### See Also

`image.dev`, `image`

[Package xps version 1.2.10 Index]